import React, { ReactElement } from "react";
import { TPageHeadProps } from "./head";
import { TCurrentContextSettings } from "../context/use-current-context";
export type TEmptyBasePageProps = {
    solution: Record<string, any>;
    headProps: TPageHeadProps;
    currentContextSettings?: TCurrentContextSettings;
    hideNavMeButton?: boolean;
    supportNavResize?: boolean;
    topNavArea?: any;
    showMeModal?: boolean;
    appTrack?: boolean;
    libTrack?: boolean;
    onContextReady: (context: Record<string, any>) => void;
};
export declare const EmptyBasePage: (props: TEmptyBasePageProps & React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>) => ReactElement;
export default EmptyBasePage;
