export type TSiteSubmitEmailSectionProps = {
    solution?: Record<string, any>;
    wrapperClassName?: string;
    apiEndpoint?: string;
    recaptchaId: string;
    colorName?: string;
    thankYouMessage?: string;
    hideRecaptcha?: boolean;
    recaptchaSiteKey: string;
    signUp?: boolean;
    apiData?: Record<string, any>;
    errorMessage?: string;
    buttonText?: string;
    privacyPolicyUrl?: string;
    contactEmail?: string;
    emailTemplate?: string;
    onError?: (result: any) => void;
    onSuccess?: (error: any) => void;
    onSubmit?: (email: string) => void;
};
export declare const SiteSubmitEmailSection: (props: TSiteSubmitEmailSectionProps) => JSX.Element;
export default SiteSubmitEmailSection;
