import React, { useEffect, useState } from "react";
import { observer } from "mobx-react-lite/dist/index";
import { useMessageStore } from "primeobjects-ui-web-store";
export var MessageListener = observer(function (props) {
    var _a = useState(undefined), latestMessageId = _a[0], setLatestMessageId = _a[1];
    var messageStore = useMessageStore();
    useEffect(function () {
        var id = messageStore.id, type = messageStore.type, content = messageStore.content;
        if (latestMessageId != id) {
            setLatestMessageId(id);
            props.onMessage({ id: id, type: type, content: content });
        }
    }, [messageStore.id]);
    return React.createElement(React.Fragment, null);
});
//# sourceMappingURL=message-listener.js.map