import { TListColumnOnClick, TListColumnSettings, TListColumn } from "../../sections/list/util";
import { TListInfo } from "../../pages/list-wrapper";
export declare const getAIExtractorColumnsForCustomization: (onClickRecord: TListColumnOnClick, entity?: Record<string, any>, settings?: TListColumnSettings) => TListColumn[];
export declare const getAIExtractorColumnsForUser: (onClickRecord: TListColumnOnClick, entity?: Record<string, any>, settings?: TListColumnSettings) => TListColumn[];
export declare const getAIExtractorListForCustomization: (list?: TListInfo, context?: Record<string, any>) => {
    sectionProps: {
        query: {
            service: string;
        };
        getColumns: (onClickRecord: TListColumnOnClick, entity?: Record<string, any>, settings?: TListColumnSettings) => TListColumn[];
    };
};
export declare const getAIExtractorListForUser: (list?: TListInfo, context?: Record<string, any>) => {
    sectionProps: {
        query: {
            service: string;
            scope: string;
        };
        getColumns: (onClickRecord: TListColumnOnClick, entity?: Record<string, any>, settings?: TListColumnSettings) => TListColumn[];
    };
};
