import React, { CSSProperties } from "react";
import { TSiteSubmitEmailSectionProps } from "../../sections/site-submit-email";
export declare const getServerSidePropsForReadWebPage: (props: Record<string, any>) => Promise<Record<string, any>>;
export declare const ReadWebPage: (props: Record<string, any> & {
    recordSectionProps?: {
        wrapperClassName?: string | undefined;
        wrapperStyle?: React.CSSProperties | undefined;
        recordContentProps?: {
            titleClassName?: string | undefined;
            titleStyle?: React.CSSProperties | undefined;
            subTitleClassName?: string | undefined;
            subTitleStyle?: React.CSSProperties | undefined;
            submitEmailSettings?: (TSiteSubmitEmailSectionProps & {
                title: string;
            }) | undefined;
            wrapperClassName?: string | undefined;
            wrapperStyle?: React.CSSProperties | undefined;
            contentClassName?: string | undefined;
            contentStyle?: React.CSSProperties | undefined;
            tags?: string[] | undefined;
            disableShorten?: boolean | undefined;
            onClickTag?: ((tag: string) => void) | undefined;
        } | undefined;
        urlTemplate?: string | undefined;
        tagSectionTitle?: string | undefined;
        maxTagCount?: number | undefined;
        flushCache?: boolean | undefined;
        similarSectionTitle?: string | undefined;
        submitEmailSettings?: (TSiteSubmitEmailSectionProps & {
            title: string;
        }) | undefined;
        navigation?: Record<string, any>[] | undefined;
        onClickLogo?: (() => void) | undefined;
    } | undefined;
    supportOrganizationBrand?: boolean | undefined;
}) => JSX.Element;
export default ReadWebPage;
